<template>
  <el-select v-model="model.departName" placeholder="请选择部门">
    <el-option value="1">
      <el-tree
        ref="tree"
        :check-strictly="true"
        :data="departList"
        :props="defaultProps"
        :default-checked-keys="selectIds"
        show-checkbox
        @check-change="handleCheck"
        @node-click="nodeClick"
        default-expand-all
        node-key="id"
      >
      </el-tree>
    </el-option>
  </el-select>
</template>
<script>
export default {
  data() {
    return {
      model: {
        departId: 0,
        departName: "",
      },
      selectIds: [],
      departList: [],
      defaultProps: {
        children: "children",
        label: "departName",
      },
    };
  },
  created() {
    // 获取全部部门列表
    this.$axios.get("/sccg/depart/tree").then((res) => {
      this.departList = res.data;
      if (this.depart) {
        this.model.departId = this.depart.departId;
        this.model.departName = this.depart.departName;
        this.selectIds = [this.depart.departId];
      }
    });
  },
  methods: {
    nodeClick(data, checked) {
      this.checkedId = data.comcode;
      this.$refs.tree.setCheckedNodes([data]);
      this.model.departId = data.id;
      this.model.departName = data.departName;
    },
    handleCheck(data, checked) {
      if (checked == true) {
        this.checkedId = data.comcode;
        this.$refs.tree.setCheckedNodes([data]);
        this.model.departId = data.id;
        this.model.departName = data.departName;
        this.$emit("selectDepart", this.model);
      }
    },
  },

  props: ["depart"],
};
</script>
<style lang="scss" scoped>
</style>
